Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0043266
TypeCategorySeverityReproducibilityDate SubmittedLast Update
backport[Retail Modules] Web POScriticalunable to reproduce2019-08-21 13:402020-02-21 13:02
ReporterjorgewederagoView Statuspublic 
Assigned Toranjith_qualiantech_com 
PriorityhighResolutionfixedFixed in Version
StatusresolvedFix in branchFixed in SCM revision3cdcef2252e2
ProjectionnoneETAnoneTarget VersionRR19Q3.3
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tomarvintm
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0043266: It is not possible to log into WebPOS if the .js is removed from the cache and a new .js is generated in the server

DescriptionIt is not possible to log into WebPOS if the .js is removed from the cache and a new .js is generated in the server
Steps To Reproduce1.-In a local environment load WebPOS (not in developer's mode)
2.-Open Chrome Developer Tools
3.-Go to Application Tab
4.-Open Cache Storage > WebPOS
5.-Look for the .js containing the APP
6.-Remove it from the Cache
7.-Do some changes in your local environment and compile to generate a new .js
8.-Try to load WebPOS
TagsNo tags attached.
Attached Filespatch file icon issue 43266 19Q3.3 source mobilecore.patch [^] (4,725 bytes) 2020-02-20 12:12 [Show Content]

- Relationships Relation Graph ] Dependency Graph ]
blocks defect 0041671 closedranjith_qualiantech_com It is not possible to log into WebPOS if the .js is removed from the cache and a new .js is generated in the server 

-  Notes
(0118014)
hgbot (developer)
2020-02-21 13:02

Repository: retail/backports/3.0RR19Q3.4/org.openbravo.mobile.core
Changeset: 3cdcef2252e237b40ad0339e4885906a4804191e
Author: Ranjith S R <ranjith <at> qualiantech.com>
Date: Thu Feb 20 16:36:22 2020 +0530
URL: http://code.openbravo.com/retail/backports/3.0RR19Q3.4/org.openbravo.mobile.core/rev/3cdcef2252e237b40ad0339e4885906a4804191e [^]

Fixed issue 43266 : Reloading All Cache files if anyone is missing in Cache

* When loading POS, if old and new manifest are same, manifest files should exist in chrome cache.
  If it is not exists, all Cache files should be reload again from the server
* Main Window should be rendered when ServiceController is not activated
  When user refresh POS with Shift + Refresh, ServiceController will not be initiated and activated.
  But Cache Validation will be initiated due to New Manifest and Old Manifest are same.
  So, Main window should be rendered by calling the callback
  when ServiceController is not activated and Cache Validation is enabled

---
M web/org.openbravo.mobile.core/source/offline/ob-fetch-manifest.js
M web/org.openbravo.mobile.core/source/offline/ob-sources-sw.js
---

- Issue History
Date Modified Username Field Change
2020-02-19 14:17 marvintm Type defect => backport
2020-02-19 14:17 marvintm Target Version => RR19Q3.3
2020-02-20 12:12 ranjith_qualiantech_com File Added: issue 43266 19Q3.3 source mobilecore.patch
2020-02-21 13:02 hgbot Checkin
2020-02-21 13:02 hgbot Note Added: 0118014
2020-02-21 13:02 hgbot Status scheduled => resolved
2020-02-21 13:02 hgbot Resolution open => fixed
2020-02-21 13:02 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.mobile.core/rev/92b2ef88b12035efe307806a538ec27124719b57 [^] => http://code.openbravo.com/retail/backports/3.0RR19Q3.4/org.openbravo.mobile.core/rev/3cdcef2252e237b40ad0339e4885906a4804191e [^]


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker